<script setup lang="ts">
import ContentManager from './components/managers/ContentManager.vue';
import ToastManager from './components/managers/ToastManager.vue';
import WindowManager from './components/managers/WindowManager.vue';

import { CreateWindow } from '@/services/Windows'

async function start(){
  CreateWindow('login');

  // DisplayToast('aqua', 'All plugins loaded successfully');
}

onMounted(() => {
  setupTheme();
  setTheme('dark');
  start();
})
</script>

<template>
  <div class="viewer">
    <ToastManager></ToastManager>
    <WindowManager></WindowManager>
    <ContentManager></ContentManager>
    <!-- Managers -->
  </div>
</template>

<style scoped>
.viewer {
  display: flex;
  flex-direction: column;
  width: 100%;
  height: 100vh;
}
</style>